import React, { Dispatch, FC, ReactNode, SetStateAction } from 'react';
import { Theme } from '@emotion/react';
type ThemeContext = {
    setTheme: Dispatch<SetStateAction<Theme>>;
    theme: Theme;
    updateTheme: (theme: Partial<Theme>) => void;
};
declare const ThemeContext: React.Context<ThemeContext>;
export type ThemeProviderProps = {
    children: ReactNode;
    theme: Theme;
};
export declare const ThemeProvider: FC<ThemeProviderProps>;
export declare const useTheme: () => ThemeContext;
export {};
