export type ThemeColors = {
    base: string;
    highlight: string;
    negative: string;
    positive: string;
    primary: string;
    secondary: string;
    text: string;
};
export declare const buildColorTheme: (COLORS: ThemeColors) => {
    palette: {
        primary: {
            main: string;
            light: string;
            dark: string;
        };
        secondary: {
            main: string;
            light: string;
            dark: string;
        };
        positive: {
            main: string;
            light: string;
            dark: string;
        };
        negative: {
            main: string;
            light: string;
            dark: string;
        };
        highlight: {
            main: string;
            light: string;
            dark: string;
        };
        background: {
            main: string;
            dark: string;
        };
        text: {
            main: string;
            light: string;
        };
        disabled: string;
    };
};
