export declare const baseTheme: {
    readonly fontFamily: "Quicksand";
    readonly rounded: {
        readonly small: 6;
        readonly full: 50;
    };
    readonly spacing: {
        readonly sm: 4;
        readonly md: 8;
        readonly lg: 12;
        readonly xl: 20;
    };
    readonly fontSize: {
        readonly sm: 14;
        readonly md: 16;
        readonly lg: 22;
        readonly xl: 26;
        readonly xxl: 32;
        readonly xxxl: 38;
    };
    readonly iconSize: {
        readonly sm: 14;
        readonly md: 22;
        readonly lg: 32;
        readonly xl: 46;
        readonly xxl: 60;
        readonly xxxl: 98;
    };
    readonly breakpoints: {
        readonly xs: 0;
        readonly sm: 576;
        readonly md: 768;
        readonly lg: 992;
        readonly xl: 1200;
    };
};
