"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.baseTheme = void 0;
exports.baseTheme = {
    fontFamily: 'Quicksand',
    rounded: {
        small: 6,
        full: 50,
    },
    spacing: {
        sm: 4,
        md: 8,
        lg: 12,
        xl: 20,
    },
    fontSize: {
        sm: 14,
        md: 16,
        lg: 22,
        xl: 26,
        xxl: 32,
        xxxl: 38,
    },
    iconSize: {
        sm: 14,
        md: 22,
        lg: 32,
        xl: 46,
        xxl: 60,
        xxxl: 98,
    },
    breakpoints: {
        xs: 0,
        sm: 576,
        md: 768,
        lg: 992,
        xl: 1200,
    },
};
